package com.dcsoft.system.kq.domain;


import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤组对象 kq_group
 *
 * @author dcsoft
 * @date 2023-01-05
 */
public class KqGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 组id */
    private Long groupId;

    /** 考勤组名称 */
    @Excel(name = "考勤组名称")
    private String groupName;

    /** 考勤类型 */
    @Excel(name = "考勤类型")
    private String type;

    /** 打卡方式 */
    @Excel(name = "打卡方式")
    private String way;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    private Long[] userIds;

    private Long classesId;

    private String deptId;

    private String isMain;

    public void setGroupId(Long groupId)
    {
        this.groupId = groupId;
    }

    public Long getGroupId()
    {
        return groupId;
    }
    public void setGroupName(String groupName)
    {
        this.groupName = groupName;
    }

    public String getGroupName()
    {
        return groupName;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setWay(String way)
    {
        this.way = way;
    }

    public String getWay()
    {
        return way;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Long[] userIds) {
        this.userIds = userIds;
    }

    public Long getClassesId() {
        return classesId;
    }

    public void setClassesId(Long classesId) {
        this.classesId = classesId;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getIsMain() {
        return isMain;
    }

    public void setIsMain(String isMain) {
        this.isMain = isMain;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupId", getGroupId())
            .append("groupName", getGroupName())
            .append("type", getType())
            .append("way", getWay())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
